From 1e7ed4f1a7ee7c16edb5d8e34097d3a6c1a563a3 Mon Sep 17 00:00:00 2001
From: Sascha Wildner <saw@online.de>
Date: Sun, 12 Jan 2020 09:09:40 +0100
Subject: [PATCH] WIP ACPICA upgrade to 20200110

---
 sys/contrib/dev/acpica/changes.txt            | 173 +++++++++++
 .../dev/acpica/generate/unix/Makefile.config  |   9 +
 .../acpica/generate/unix/acpinames/Makefile   |  42 +++
 .../dev/acpica/generate/unix/iasl/Makefile    |  24 +-
 .../dev/acpica/source/common/acfileio.c       |   2 +-
 .../dev/acpica/source/common/acgetline.c      |   4 +-
 sys/contrib/dev/acpica/source/common/adfile.c |   2 +-
 .../dev/acpica/source/common/adisasm.c        |   3 +-
 sys/contrib/dev/acpica/source/common/adwalk.c |  27 +-
 sys/contrib/dev/acpica/source/common/ahids.c  |   2 +-
 .../dev/acpica/source/common/ahpredef.c       |   2 +-
 .../dev/acpica/source/common/ahtable.c        |   2 +-
 .../dev/acpica/source/common/ahuuids.c        |   2 +-
 .../dev/acpica/source/common/cmfsize.c        |   2 +-
 .../dev/acpica/source/common/dmextern.c       |   2 +-
 .../dev/acpica/source/common/dmrestag.c       |   8 +-
 .../dev/acpica/source/common/dmswitch.c       |   2 +-
 .../dev/acpica/source/common/dmtable.c        |   2 +-
 .../dev/acpica/source/common/dmtables.c       |  13 +-
 .../dev/acpica/source/common/dmtbdump.c       |   2 +-
 .../dev/acpica/source/common/dmtbdump1.c      |  24 +-
 .../dev/acpica/source/common/dmtbdump2.c      |  28 +-
 .../dev/acpica/source/common/dmtbdump3.c      |   8 +-
 .../dev/acpica/source/common/dmtbinfo.c       |   2 +-
 .../dev/acpica/source/common/dmtbinfo1.c      |   2 +-
 .../dev/acpica/source/common/dmtbinfo2.c      |   2 +-
 .../dev/acpica/source/common/dmtbinfo3.c      |   2 +-
 sys/contrib/dev/acpica/source/common/getopt.c |   2 +-
 .../dev/acpica/source/compiler/aslallocate.c  |   2 +-
 .../dev/acpica/source/compiler/aslanalyze.c   |   4 +-
 .../dev/acpica/source/compiler/aslascii.c     |   2 +-
 .../dev/acpica/source/compiler/aslbtypes.c    |   3 +-
 .../dev/acpica/source/compiler/aslcache.c     |   8 +-
 .../dev/acpica/source/compiler/aslcodegen.c   |   6 +-
 .../dev/acpica/source/compiler/aslcompile.c   |  70 +++--
 .../dev/acpica/source/compiler/aslcompiler.h  |  20 +-
 .../dev/acpica/source/compiler/aslcompiler.l  |   2 +-
 .../dev/acpica/source/compiler/aslcstyle.y    |   2 +-
 .../dev/acpica/source/compiler/asldebug.c     |   4 +-
 .../dev/acpica/source/compiler/asldefine.h    |  14 +-
 .../dev/acpica/source/compiler/aslerror.c     |  56 ++--
 .../dev/acpica/source/compiler/aslexternal.c  |   2 +-
 .../dev/acpica/source/compiler/aslfileio.c    |   2 +-
 .../dev/acpica/source/compiler/aslfiles.c     |  26 +-
 .../dev/acpica/source/compiler/aslfold.c      |   2 +-
 .../dev/acpica/source/compiler/aslglobal.h    |   4 +-
 .../dev/acpica/source/compiler/aslhelp.c      |   3 +-
 .../dev/acpica/source/compiler/aslhelpers.y   |   2 +-
 .../dev/acpica/source/compiler/aslhex.c       |   2 +-
 .../dev/acpica/source/compiler/aslkeywords.y  |   4 +-
 .../dev/acpica/source/compiler/asllength.c    |  11 +-
 .../dev/acpica/source/compiler/asllisting.c   |   2 +-
 .../dev/acpica/source/compiler/asllistsup.c   |   4 +-
 .../dev/acpica/source/compiler/aslload.c      |  82 +++--
 .../dev/acpica/source/compiler/asllookup.c    |   2 +-
 .../dev/acpica/source/compiler/aslmain.c      |  32 +-
 .../dev/acpica/source/compiler/aslmap.c       |   2 +-
 .../dev/acpica/source/compiler/aslmapenter.c  |   2 +-
 .../dev/acpica/source/compiler/aslmapoutput.c |   2 +-
 .../dev/acpica/source/compiler/aslmaputils.c  |   2 +-
 .../dev/acpica/source/compiler/aslmessages.c  |  13 +-
 .../dev/acpica/source/compiler/aslmessages.h  |   9 +-
 .../dev/acpica/source/compiler/aslmethod.c    |  26 +-
 .../dev/acpica/source/compiler/aslnamesp.c    |  15 +-
 .../dev/acpica/source/compiler/asloffset.c    |   2 +-
 .../dev/acpica/source/compiler/aslopcodes.c   |   2 +-
 .../dev/acpica/source/compiler/asloperands.c  |   2 +-
 .../dev/acpica/source/compiler/aslopt.c       |   2 +-
 .../dev/acpica/source/compiler/asloptions.c   |   9 +-
 .../dev/acpica/source/compiler/aslparseop.c   |  20 +-
 .../dev/acpica/source/compiler/aslparser.y    |   2 +-
 .../dev/acpica/source/compiler/aslpld.c       |   2 +-
 .../dev/acpica/source/compiler/aslpredef.c    |   2 +-
 .../dev/acpica/source/compiler/aslprepkg.c    |   4 +-
 .../dev/acpica/source/compiler/aslprimaries.y |   2 +-
 .../dev/acpica/source/compiler/aslprintf.c    |   2 +-
 .../dev/acpica/source/compiler/aslprune.c     |   2 +-
 .../dev/acpica/source/compiler/aslresource.c  |   4 +-
 .../dev/acpica/source/compiler/aslresources.y |   2 +-
 .../dev/acpica/source/compiler/aslrestype1.c  |   2 +-
 .../dev/acpica/source/compiler/aslrestype1i.c |   2 +-
 .../dev/acpica/source/compiler/aslrestype2.c  |   5 +-
 .../dev/acpica/source/compiler/aslrestype2d.c |   2 +-
 .../dev/acpica/source/compiler/aslrestype2e.c |   2 +-
 .../dev/acpica/source/compiler/aslrestype2q.c |   2 +-
 .../dev/acpica/source/compiler/aslrestype2s.c |   3 +-
 .../dev/acpica/source/compiler/aslrestype2w.c |   2 +-
 .../dev/acpica/source/compiler/aslrules.y     |   2 +-
 .../dev/acpica/source/compiler/aslstartup.c   |   7 +-
 .../dev/acpica/source/compiler/aslstubs.c     |   2 +-
 .../dev/acpica/source/compiler/aslsupport.l   |   2 +-
 .../dev/acpica/source/compiler/aslsupport.y   |   2 +-
 .../dev/acpica/source/compiler/asltokens.y    |   2 +-
 .../dev/acpica/source/compiler/asltransform.c | 271 +++++++++++++++-
 .../dev/acpica/source/compiler/asltree.c      |   2 +-
 .../dev/acpica/source/compiler/asltypes.h     |   5 +-
 .../dev/acpica/source/compiler/asltypes.y     |   2 +-
 .../dev/acpica/source/compiler/aslutils.c     | 174 ++++++++---
 .../dev/acpica/source/compiler/asluuid.c      |   2 +-
 .../dev/acpica/source/compiler/aslwalks.c     |   2 +-
 .../dev/acpica/source/compiler/aslxref.c      |  33 +-
 .../dev/acpica/source/compiler/aslxrefout.c   |   4 +-
 .../dev/acpica/source/compiler/cvcompiler.c   |   2 +-
 .../dev/acpica/source/compiler/cvdisasm.c     |  11 +-
 .../dev/acpica/source/compiler/cvparser.c     |   3 +-
 .../dev/acpica/source/compiler/dtcompile.c    |  86 +++--
 .../dev/acpica/source/compiler/dtcompiler.h   |  51 ++-
 .../acpica/source/compiler/dtcompilerparser.l | 294 ++++++++++++++++++
 .../acpica/source/compiler/dtcompilerparser.y | 285 +++++++++++++++++
 .../dev/acpica/source/compiler/dtexpress.c    |   2 +-
 .../dev/acpica/source/compiler/dtfield.c      | 133 +++++++-
 sys/contrib/dev/acpica/source/compiler/dtio.c |  53 +---
 .../dev/acpica/source/compiler/dtparser.l     |   4 +-
 .../dev/acpica/source/compiler/dtparser.y     |   2 +-
 .../dev/acpica/source/compiler/dtsubtable.c   |   2 +-
 .../dev/acpica/source/compiler/dttable.c      |   2 +-
 .../dev/acpica/source/compiler/dttable1.c     |   2 +-
 .../dev/acpica/source/compiler/dttable2.c     |  26 +-
 .../dev/acpica/source/compiler/dttemplate.c   |   4 +-
 .../dev/acpica/source/compiler/dttemplate.h   |   2 +-
 .../dev/acpica/source/compiler/dtutils.c      |   2 +-
 .../dev/acpica/source/compiler/preprocess.h   |   2 +-
 .../dev/acpica/source/compiler/prexpress.c    |   2 +-
 .../dev/acpica/source/compiler/prmacros.c     |   4 +-
 .../dev/acpica/source/compiler/prparser.l     |   2 +-
 .../dev/acpica/source/compiler/prparser.y     |   2 +-
 .../dev/acpica/source/compiler/prscan.c       |   8 +-
 .../dev/acpica/source/compiler/prutils.c      |   2 +-
 .../source/components/debugger/dbcmds.c       |   2 +-
 .../source/components/debugger/dbconvert.c    |   6 +-
 .../source/components/debugger/dbdisply.c     |   4 +-
 .../source/components/debugger/dbexec.c       |   2 +-
 .../source/components/debugger/dbfileio.c     |   4 +-
 .../source/components/debugger/dbhistry.c     |   4 +-
 .../source/components/debugger/dbinput.c      |  48 ++-
 .../source/components/debugger/dbmethod.c     |  12 +-
 .../source/components/debugger/dbnames.c      | 123 +++++++-
 .../source/components/debugger/dbobject.c     |   4 +-
 .../source/components/debugger/dbstats.c      |  94 +++---
 .../source/components/debugger/dbtest.c       |   2 +-
 .../source/components/debugger/dbutils.c      |   2 +-
 .../source/components/debugger/dbxface.c      |   2 +-
 .../source/components/disassembler/dmbuffer.c |   2 +-
 .../source/components/disassembler/dmcstyle.c |   2 +-
 .../components/disassembler/dmdeferred.c      |   6 +-
 .../source/components/disassembler/dmnames.c  |   2 +-
 .../source/components/disassembler/dmopcode.c |   2 +-
 .../source/components/disassembler/dmresrc.c  |   3 +-
 .../source/components/disassembler/dmresrcl.c |   2 +-
 .../components/disassembler/dmresrcl2.c       |   2 +-
 .../source/components/disassembler/dmresrcs.c |   2 +-
 .../source/components/disassembler/dmutils.c  |   2 +-
 .../source/components/disassembler/dmwalk.c   |   3 +-
 .../source/components/dispatcher/dsargs.c     |   2 +-
 .../source/components/dispatcher/dscontrol.c  |   4 +-
 .../source/components/dispatcher/dsdebug.c    |   2 +-
 .../source/components/dispatcher/dsfield.c    |  13 +-
 .../source/components/dispatcher/dsinit.c     |   2 +-
 .../source/components/dispatcher/dsmethod.c   |   2 +-
 .../source/components/dispatcher/dsmthdat.c   |   2 +-
 .../source/components/dispatcher/dsobject.c   |   2 +-
 .../source/components/dispatcher/dsopcode.c   |   3 +-
 .../source/components/dispatcher/dspkginit.c  |   2 +-
 .../source/components/dispatcher/dsutils.c    |   2 +-
 .../source/components/dispatcher/dswexec.c    |   2 +-
 .../source/components/dispatcher/dswload.c    |  24 +-
 .../source/components/dispatcher/dswload2.c   |   2 +-
 .../source/components/dispatcher/dswscope.c   |   2 +-
 .../source/components/dispatcher/dswstate.c   |   2 +-
 .../acpica/source/components/events/evevent.c |   2 +-
 .../acpica/source/components/events/evglock.c |   2 +-
 .../acpica/source/components/events/evgpe.c   |  11 +-
 .../source/components/events/evgpeblk.c       |   8 +-
 .../source/components/events/evgpeinit.c      |   5 +-
 .../source/components/events/evgpeutil.c      |   2 +-
 .../source/components/events/evhandler.c      |   2 +-
 .../acpica/source/components/events/evmisc.c  |  19 +-
 .../source/components/events/evregion.c       |   6 +-
 .../source/components/events/evrgnini.c       |   3 +-
 .../acpica/source/components/events/evsci.c   |   2 +-
 .../acpica/source/components/events/evxface.c |   2 +-
 .../source/components/events/evxfevnt.c       |   2 +-
 .../acpica/source/components/events/evxfgpe.c |  29 +-
 .../source/components/events/evxfregn.c       |   2 +-
 .../source/components/executer/exconcat.c     |   2 +-
 .../source/components/executer/exconfig.c     |   6 +-
 .../source/components/executer/exconvrt.c     |   2 +-
 .../source/components/executer/excreate.c     |   2 +-
 .../source/components/executer/exdebug.c      |   2 +-
 .../source/components/executer/exdump.c       |   8 +-
 .../source/components/executer/exfield.c      |  12 +-
 .../source/components/executer/exfldio.c      |   2 +-
 .../source/components/executer/exmisc.c       |   2 +-
 .../source/components/executer/exmutex.c      |   2 +-
 .../source/components/executer/exnames.c      |   2 +-
 .../source/components/executer/exoparg1.c     |   2 +-
 .../source/components/executer/exoparg2.c     |   2 +-
 .../source/components/executer/exoparg3.c     |   2 +-
 .../source/components/executer/exoparg6.c     |   2 +-
 .../source/components/executer/exprep.c       |   2 +-
 .../source/components/executer/exregion.c     |   2 +-
 .../source/components/executer/exresnte.c     |   2 +-
 .../source/components/executer/exresolv.c     |   2 +-
 .../source/components/executer/exresop.c      |   2 +-
 .../source/components/executer/exserial.c     |   2 +-
 .../source/components/executer/exstore.c      |   2 +-
 .../source/components/executer/exstoren.c     |   2 +-
 .../source/components/executer/exstorob.c     |   2 +-
 .../source/components/executer/exsystem.c     |   2 +-
 .../source/components/executer/extrace.c      |   2 +-
 .../source/components/executer/exutils.c      |   2 +-
 .../source/components/hardware/hwacpi.c       |   2 +-
 .../source/components/hardware/hwesleep.c     |   2 +-
 .../acpica/source/components/hardware/hwgpe.c |   2 +-
 .../acpica/source/components/hardware/hwpci.c |   2 +-
 .../source/components/hardware/hwregs.c       |   2 +-
 .../source/components/hardware/hwsleep.c      |   2 +-
 .../source/components/hardware/hwtimer.c      |   2 +-
 .../source/components/hardware/hwvalid.c      |   2 +-
 .../source/components/hardware/hwxface.c      |   2 +-
 .../source/components/hardware/hwxfsleep.c    |   6 +-
 .../source/components/namespace/nsaccess.c    |   4 +-
 .../source/components/namespace/nsalloc.c     |   4 +-
 .../source/components/namespace/nsarguments.c |   2 +-
 .../source/components/namespace/nsconvert.c   |   4 +-
 .../source/components/namespace/nsdump.c      |  10 +-
 .../source/components/namespace/nsdumpdv.c    |   2 +-
 .../source/components/namespace/nseval.c      |   2 +-
 .../source/components/namespace/nsinit.c      |   2 +-
 .../source/components/namespace/nsload.c      |   2 +-
 .../source/components/namespace/nsnames.c     |   2 +-
 .../source/components/namespace/nsobject.c    |   2 +-
 .../source/components/namespace/nsparse.c     |   2 +-
 .../source/components/namespace/nspredef.c    |   2 +-
 .../source/components/namespace/nsprepkg.c    |   2 +-
 .../source/components/namespace/nsrepair.c    |   2 +-
 .../source/components/namespace/nsrepair2.c   |   4 +-
 .../source/components/namespace/nssearch.c    |   2 +-
 .../source/components/namespace/nsutils.c     |   2 +-
 .../source/components/namespace/nswalk.c      |   2 +-
 .../source/components/namespace/nsxfeval.c    |   2 +-
 .../source/components/namespace/nsxfname.c    |   4 +-
 .../source/components/namespace/nsxfobj.c     |   2 +-
 .../acpica/source/components/parser/psargs.c  |   2 +-
 .../acpica/source/components/parser/psloop.c  |   2 +-
 .../source/components/parser/psobject.c       |   8 +-
 .../source/components/parser/psopcode.c       |   2 +-
 .../source/components/parser/psopinfo.c       |   2 +-
 .../acpica/source/components/parser/psparse.c |   2 +-
 .../acpica/source/components/parser/psscope.c |   2 +-
 .../acpica/source/components/parser/pstree.c  |   2 +-
 .../acpica/source/components/parser/psutils.c |   2 +-
 .../acpica/source/components/parser/pswalk.c  |   2 +-
 .../acpica/source/components/parser/psxface.c |   2 +-
 .../source/components/resources/rsaddr.c      |   2 +-
 .../source/components/resources/rscalc.c      |   2 +-
 .../source/components/resources/rscreate.c    |   6 +-
 .../source/components/resources/rsdump.c      |   2 +-
 .../source/components/resources/rsdumpinfo.c  |   2 +-
 .../source/components/resources/rsinfo.c      |   2 +-
 .../acpica/source/components/resources/rsio.c |   2 +-
 .../source/components/resources/rsirq.c       |   2 +-
 .../source/components/resources/rslist.c      |   2 +-
 .../source/components/resources/rsmemory.c    |   2 +-
 .../source/components/resources/rsmisc.c      |   2 +-
 .../source/components/resources/rsserial.c    |   2 +-
 .../source/components/resources/rsutils.c     |   2 +-
 .../source/components/resources/rsxface.c     |   2 +-
 .../acpica/source/components/tables/tbdata.c  |   7 +-
 .../acpica/source/components/tables/tbfadt.c  |   2 +-
 .../acpica/source/components/tables/tbfind.c  |   2 +-
 .../source/components/tables/tbinstal.c       |   2 +-
 .../acpica/source/components/tables/tbprint.c |   2 +-
 .../acpica/source/components/tables/tbutils.c |   2 +-
 .../acpica/source/components/tables/tbxface.c |   2 +-
 .../source/components/tables/tbxfload.c       |  51 ++-
 .../source/components/tables/tbxfroot.c       |   2 +-
 .../source/components/utilities/utaddress.c   |   2 +-
 .../source/components/utilities/utalloc.c     |   2 +-
 .../source/components/utilities/utascii.c     |   2 +-
 .../source/components/utilities/utbuffer.c    |  64 ++--
 .../source/components/utilities/utcache.c     |   2 +-
 .../source/components/utilities/utclib.c      |   2 +-
 .../source/components/utilities/utcopy.c      |   2 +-
 .../source/components/utilities/utdebug.c     |   6 +-
 .../source/components/utilities/utdecode.c    |   2 +-
 .../source/components/utilities/utdelete.c    |   2 +-
 .../source/components/utilities/uterror.c     |   8 +-
 .../source/components/utilities/uteval.c      |   2 +-
 .../source/components/utilities/utexcep.c     |   2 +-
 .../source/components/utilities/utglobal.c    |   2 +-
 .../source/components/utilities/uthex.c       |   2 +-
 .../source/components/utilities/utids.c       |   2 +-
 .../source/components/utilities/utinit.c      |   2 +-
 .../source/components/utilities/utlock.c      |   2 +-
 .../source/components/utilities/utmath.c      |   2 +-
 .../source/components/utilities/utmisc.c      |   2 +-
 .../source/components/utilities/utmutex.c     |   2 +-
 .../source/components/utilities/utnonansi.c   |   2 +-
 .../source/components/utilities/utobject.c    |   2 +-
 .../source/components/utilities/utosi.c       |   5 +-
 .../source/components/utilities/utownerid.c   |  14 +-
 .../source/components/utilities/utpredef.c    |   2 +-
 .../source/components/utilities/utprint.c     |   2 +-
 .../source/components/utilities/utresdecode.c |   2 +-
 .../source/components/utilities/utresrc.c     |   2 +-
 .../source/components/utilities/utstate.c     |   2 +-
 .../source/components/utilities/utstring.c    |   2 +-
 .../source/components/utilities/utstrsuppt.c  |   2 +-
 .../source/components/utilities/utstrtoul64.c |   2 +-
 .../source/components/utilities/uttrack.c     |   4 +-
 .../source/components/utilities/utuuid.c      |   2 +-
 .../source/components/utilities/utxface.c     |   2 +-
 .../source/components/utilities/utxferror.c   |   2 +-
 .../source/components/utilities/utxfinit.c    |   2 +-
 .../source/components/utilities/utxfmutex.c   |   2 +-
 .../dev/acpica/source/include/acapps.h        |   4 +-
 .../dev/acpica/source/include/acbuffer.h      |   2 +-
 .../dev/acpica/source/include/acclib.h        |   2 +-
 .../dev/acpica/source/include/accommon.h      |   2 +-
 .../dev/acpica/source/include/acconfig.h      |   6 +-
 .../dev/acpica/source/include/acconvert.h     |   2 +-
 .../dev/acpica/source/include/acdebug.h       |   6 +-
 .../dev/acpica/source/include/acdisasm.h      |   2 +-
 .../dev/acpica/source/include/acdispat.h      |   2 +-
 .../dev/acpica/source/include/acevents.h      |   2 +-
 .../dev/acpica/source/include/acexcep.h       |   2 +-
 .../dev/acpica/source/include/acglobal.h      |   2 +-
 .../dev/acpica/source/include/achware.h       |   2 +-
 .../dev/acpica/source/include/acinterp.h      |   2 +-
 .../dev/acpica/source/include/aclocal.h       |   6 +-
 .../dev/acpica/source/include/acmacros.h      |   2 +-
 .../dev/acpica/source/include/acnames.h       |   2 +-
 .../dev/acpica/source/include/acnamesp.h      |   2 +-
 .../dev/acpica/source/include/acobject.h      |   5 +-
 .../dev/acpica/source/include/acopcode.h      |   2 +-
 .../dev/acpica/source/include/acoutput.h      |   2 +-
 .../dev/acpica/source/include/acparser.h      |   2 +-
 sys/contrib/dev/acpica/source/include/acpi.h  |   2 +-
 .../dev/acpica/source/include/acpiosxf.h      |   3 +-
 .../dev/acpica/source/include/acpixf.h        |  24 +-
 .../dev/acpica/source/include/acpredef.h      |   2 +-
 .../dev/acpica/source/include/acresrc.h       |   2 +-
 .../dev/acpica/source/include/acrestyp.h      |   2 +-
 .../dev/acpica/source/include/acstruct.h      |  17 +-
 .../dev/acpica/source/include/actables.h      |   2 +-
 .../dev/acpica/source/include/actbinfo.h      |   2 +-
 sys/contrib/dev/acpica/source/include/actbl.h |   2 +-
 .../dev/acpica/source/include/actbl1.h        |   2 +-
 .../dev/acpica/source/include/actbl2.h        |   2 +-
 .../dev/acpica/source/include/actbl3.h        |   2 +-
 .../dev/acpica/source/include/actypes.h       |  22 +-
 .../dev/acpica/source/include/acutils.h       |  20 +-
 .../dev/acpica/source/include/acuuid.h        |   2 +-
 .../dev/acpica/source/include/amlcode.h       |   2 +-
 .../dev/acpica/source/include/amlresrc.h      |   2 +-
 .../acpica/source/include/platform/accygwin.h |   2 +-
 .../source/include/platform/acdragonflyex.h   |   2 +-
 .../acpica/source/include/platform/acefi.h    |   2 +-
 .../acpica/source/include/platform/acefiex.h  |   2 +-
 .../acpica/source/include/platform/acenv.h    |  17 +-
 .../acpica/source/include/platform/acenvex.h  |   2 +-
 .../source/include/platform/acfreebsd.h       |   6 +-
 .../acpica/source/include/platform/acgcc.h    |   2 +-
 .../acpica/source/include/platform/acgccex.h  |   2 +-
 .../acpica/source/include/platform/achaiku.h  |   2 +-
 .../acpica/source/include/platform/acintel.h  |   2 +-
 .../acpica/source/include/platform/aclinux.h  |   2 +-
 .../source/include/platform/aclinuxex.h       |   2 +-
 .../acpica/source/include/platform/acmacosx.h |   2 +-
 .../acpica/source/include/platform/acmsvc.h   |   3 +-
 .../acpica/source/include/platform/acmsvcex.h |   2 +-
 .../acpica/source/include/platform/acnetbsd.h |   2 +-
 .../acpica/source/include/platform/acos2.h    |   2 +-
 .../acpica/source/include/platform/acqnx.h    |   2 +-
 .../acpica/source/include/platform/acwin.h    |   2 +-
 .../acpica/source/include/platform/acwin64.h  |   2 +-
 .../os_specific/service_layers/osbsdtbl.c     |   2 +-
 .../os_specific/service_layers/oslinuxtbl.c   |   2 +-
 .../os_specific/service_layers/osunixdir.c    |   2 +-
 .../os_specific/service_layers/osunixmap.c    |   2 +-
 .../os_specific/service_layers/osunixxf.c     |   2 +-
 .../os_specific/service_layers/oswindir.c     |   2 +-
 .../os_specific/service_layers/oswintbl.c     |   2 +-
 .../os_specific/service_layers/oswinxf.c      |   4 +-
 .../acpica/source/tools/acpibin/abcompare.c   |   2 +-
 .../dev/acpica/source/tools/acpibin/abmain.c  |   2 +-
 .../dev/acpica/source/tools/acpibin/acpibin.h |   2 +-
 .../acpica/source/tools/acpidump/acpidump.h   |   2 +-
 .../dev/acpica/source/tools/acpidump/apdump.c |   2 +-
 .../acpica/source/tools/acpidump/apfiles.c    |  13 +-
 .../dev/acpica/source/tools/acpidump/apmain.c |   2 +-
 .../acpica/source/tools/acpiexec/aecommon.h   |   7 +-
 .../source/tools/acpiexec/aeexception.c       |   2 +-
 .../dev/acpica/source/tools/acpiexec/aeexec.c |   4 +-
 .../acpica/source/tools/acpiexec/aehandlers.c |  15 +-
 .../acpica/source/tools/acpiexec/aeinitfile.c |  83 +++--
 .../acpica/source/tools/acpiexec/aeinstall.c  |   2 +-
 .../dev/acpica/source/tools/acpiexec/aemain.c |   4 +-
 .../acpica/source/tools/acpiexec/aeregion.c   |   2 +-
 .../acpica/source/tools/acpiexec/aetables.c   |   2 +-
 .../acpica/source/tools/acpiexec/aetables.h   |   2 +-
 .../acpica/source/tools/acpiexec/aetests.c    |  18 +-
 .../acpica/source/tools/acpihelp/acpihelp.h   |   2 +-
 .../dev/acpica/source/tools/acpihelp/ahaml.c  |   2 +-
 .../acpica/source/tools/acpihelp/ahamlops.c   |   2 +-
 .../dev/acpica/source/tools/acpihelp/ahasl.c  |   2 +-
 .../acpica/source/tools/acpihelp/ahaslkey.c   |   2 +-
 .../acpica/source/tools/acpihelp/ahaslops.c   |   2 +-
 .../acpica/source/tools/acpihelp/ahdecode.c   |   4 +-
 .../acpica/source/tools/acpihelp/ahgrammar.c  |   2 +-
 .../dev/acpica/source/tools/acpihelp/ahmain.c |   2 +-
 .../acpica/source/tools/acpinames/acpinames.h |   2 +-
 .../acpica/source/tools/acpinames/anmain.c    |   2 +-
 .../acpica/source/tools/acpinames/anstubs.c   |  18 +-
 .../acpica/source/tools/acpinames/antables.c  |   2 +-
 .../dev/acpica/source/tools/acpisrc/acpisrc.h |   2 +-
 .../dev/acpica/source/tools/acpisrc/ascase.c  |   2 +-
 .../acpica/source/tools/acpisrc/asconvrt.c    |   4 +-
 .../dev/acpica/source/tools/acpisrc/asfile.c  |   4 +-
 .../dev/acpica/source/tools/acpisrc/asmain.c  |   9 +-
 .../acpica/source/tools/acpisrc/asremove.c    |   7 +-
 .../dev/acpica/source/tools/acpisrc/astable.c |   9 +-
 .../dev/acpica/source/tools/acpisrc/asutils.c |   2 +-
 .../source/tools/acpixtract/acpixtract.c      |   2 +-
 .../source/tools/acpixtract/acpixtract.h      |   2 +-
 .../acpica/source/tools/acpixtract/axmain.c   |   2 +-
 .../acpica/source/tools/acpixtract/axutils.c  |   2 +-
 .../acpica/source/tools/efihello/efihello.c   |   2 +-
 .../acpica/source/tools/examples/examples.c   |   4 +-
 .../acpica/source/tools/examples/examples.h   |   2 +-
 .../acpica/source/tools/examples/exstubs.c    |   2 +-
 .../acpica/source/tools/examples/extables.c   |   2 +-
 sys/contrib/dev/acpica/tests/misc/badcode.asl |   2 +-
 sys/contrib/dev/acpica/tests/misc/grammar.asl |   2 +-
 .../dev/acpica/tests/templates/Makefile       |  29 +-
 usr.sbin/acpi/acpinames/Makefile              |  40 +++
 usr.sbin/acpi/iasl/Makefile                   |  19 +-
 usr.sbin/acpi/iasl/iasl.8                     |   4 +-
 439 files changed, 3031 insertions(+), 966 deletions(-)
 create mode 100644 sys/contrib/dev/acpica/source/compiler/dtcompilerparser.l
 create mode 100644 sys/contrib/dev/acpica/source/compiler/dtcompilerparser.y

diff --git a/sys/contrib/dev/acpica/generate/unix/acpinames/Makefile b/sys/contrib/dev/acpica/generate/unix/acpinames/Makefile
index db87d8840e..90d3afe29e 100644
--- a/sys/contrib/dev/acpica/generate/unix/acpinames/Makefile
+++ b/sys/contrib/dev/acpica/generate/unix/acpinames/Makefile
@@ -22,7 +22,9 @@ PROG = $(OBJDIR)/acpinames
 vpath %.c \
     $(ACPINAMES)\
     $(ACPICA_DISPATCHER)\
+    $(ACPICA_EVENTS)\
     $(ACPICA_EXECUTER)\
+    $(ACPICA_HARDWARE)\
     $(ACPICA_NAMESPACE)\
     $(ACPICA_PARSER)\
     $(ACPICA_TABLES)\
@@ -39,34 +41,69 @@ OBJECTS = \
 	$(OBJDIR)/anstubs.o\
 	$(OBJDIR)/antables.o\
 	$(OBJDIR)/cmfsize.o\
+	$(OBJDIR)/dscontrol.o\
+	$(OBJDIR)/dsdebug.o\
 	$(OBJDIR)/dsfield.o\
 	$(OBJDIR)/dsinit.o\
+	$(OBJDIR)/dsmethod.o\
 	$(OBJDIR)/dsmthdat.o\
 	$(OBJDIR)/dsobject.o\
+	$(OBJDIR)/dsopcode.o\
 	$(OBJDIR)/dspkginit.o\
 	$(OBJDIR)/dsutils.o\
+	$(OBJDIR)/dswexec.o\
 	$(OBJDIR)/dswload.o\
 	$(OBJDIR)/dswload2.o\
 	$(OBJDIR)/dswscope.o\
 	$(OBJDIR)/dswstate.o\
+	$(OBJDIR)/evhandler.o\
+	$(OBJDIR)/evmisc.o\
+	$(OBJDIR)/evregion.o\
+	$(OBJDIR)/evrgnini.o\
+	$(OBJDIR)/evxfregn.o\
+	$(OBJDIR)/exconcat.o\
+	$(OBJDIR)/exconfig.o\
+	$(OBJDIR)/exconvrt.o\
 	$(OBJDIR)/excreate.o\
 	$(OBJDIR)/exdump.o\
+	$(OBJDIR)/exfield.o\
+	$(OBJDIR)/exfldio.o\
+	$(OBJDIR)/exmisc.o\
 	$(OBJDIR)/exmutex.o\
 	$(OBJDIR)/exnames.o\
+	$(OBJDIR)/exoparg1.o\
+	$(OBJDIR)/exoparg2.o\
+	$(OBJDIR)/exoparg3.o\
+	$(OBJDIR)/exoparg6.o\
 	$(OBJDIR)/exprep.o\
+	$(OBJDIR)/exregion.o\
 	$(OBJDIR)/exresnte.o\
 	$(OBJDIR)/exresolv.o\
+	$(OBJDIR)/exresop.o\
+	$(OBJDIR)/exserial.o\
+	$(OBJDIR)/exstore.o\
+	$(OBJDIR)/exstoren.o\
+	$(OBJDIR)/exstorob.o\
 	$(OBJDIR)/exsystem.o\
 	$(OBJDIR)/exutils.o\
 	$(OBJDIR)/getopt.o\
+	$(OBJDIR)/hwpci.o\
+	$(OBJDIR)/hwvalid.o\
 	$(OBJDIR)/nsaccess.o\
 	$(OBJDIR)/nsalloc.o\
+	$(OBJDIR)/nsarguments.o\
+	$(OBJDIR)/nsconvert.o\
 	$(OBJDIR)/nsdump.o\
+	$(OBJDIR)/nseval.o\
 	$(OBJDIR)/nsinit.o\
 	$(OBJDIR)/nsload.o\
 	$(OBJDIR)/nsnames.o\
 	$(OBJDIR)/nsobject.o\
 	$(OBJDIR)/nsparse.o\
+	$(OBJDIR)/nspredef.o\
+	$(OBJDIR)/nsprepkg.o\
+	$(OBJDIR)/nsrepair.o\
+	$(OBJDIR)/nsrepair2.o\
 	$(OBJDIR)/nssearch.o\
 	$(OBJDIR)/nsutils.o\
 	$(OBJDIR)/nswalk.o\
@@ -99,6 +136,7 @@ OBJECTS = \
 	$(OBJDIR)/utascii.o\
 	$(OBJDIR)/utbuffer.o\
 	$(OBJDIR)/utcache.o\
+	$(OBJDIR)/utcopy.o\
 	$(OBJDIR)/utdebug.o\
 	$(OBJDIR)/utdecode.o\
 	$(OBJDIR)/utdelete.o\
@@ -117,8 +155,12 @@ OBJECTS = \
 	$(OBJDIR)/utobject.o\
 	$(OBJDIR)/utosi.o\
 	$(OBJDIR)/utownerid.o\
+	$(OBJDIR)/utpredef.o\
+	$(OBJDIR)/utresrc.o\
 	$(OBJDIR)/utstate.o\
 	$(OBJDIR)/utstring.o\
+	$(OBJDIR)/utstrsuppt.o\
+	$(OBJDIR)/utstrtoul64.o\
 	$(OBJDIR)/utxface.o\
 	$(OBJDIR)/utxferror.o\
 	$(OBJDIR)/utxfinit.o
diff --git a/sys/contrib/dev/acpica/generate/unix/iasl/Makefile b/sys/contrib/dev/acpica/generate/unix/iasl/Makefile
index 23ca16b39d..47ea73caba 100644
--- a/sys/contrib/dev/acpica/generate/unix/iasl/Makefile
+++ b/sys/contrib/dev/acpica/generate/unix/iasl/Makefile
@@ -33,12 +33,15 @@ vpath %.c \
 HEADERS = \
     $(wildcard $(ASL_COMPILER)/*.h)\
     $(OBJDIR)/aslcompiler.y.h\
+    $(OBJDIR)/dtcompilerparser.y.h\
     $(OBJDIR)/dtparser.y.h\
     $(OBJDIR)/prparser.y.h
 
 OBJECTS = \
 	$(OBJDIR)/aslcompilerlex.o\
 	$(OBJDIR)/aslcompilerparse.o\
+	$(OBJDIR)/dtcompilerparserlex.o\
+	$(OBJDIR)/dtcompilerparserparse.o\
 	$(OBJDIR)/dtparserlex.o\
 	$(OBJDIR)/dtparserparse.o\
 	$(OBJDIR)/prparserlex.o\
@@ -251,11 +254,14 @@ INTERMEDIATES = \
 	$(OBJDIR)/aslcompilerparse.c\
 	$(OBJDIR)/dtparserlex.c\
 	$(OBJDIR)/dtparserparse.c\
+	$(OBJDIR)/dtcompilerparserlex.c\
+	$(OBJDIR)/dtcompilerparserparse.c\
 	$(OBJDIR)/prparserlex.c\
 	$(OBJDIR)/prparserparse.c
 
 MISC = \
 	$(OBJDIR)/aslcompiler.y.h\
+	$(OBJDIR)/dtcompilerparser.y.h\
 	$(OBJDIR)/dtparser.y.h\
 	$(OBJDIR)/prparser.y.h
 
@@ -322,9 +328,17 @@ $(OBJDIR)/aslcompilerparse.c $(OBJDIR)/aslcompiler.y.h : $(OBJDIR)/aslcompiler.y
 	@echo "- " $(YACC) "       "$<
 	@$(call safe_yacc,AslCompiler,$<,$@)
 
+$(OBJDIR)/dtcompilerparserlex.c :      $(ASL_COMPILER)/dtcompilerparser.l $(OBJDIR)/dtcompilerparser.y.h
+	@echo "- " $(LEX) "        "$<
+	@$(LEX) $(DLFLAGS) -PDtCompilerParser -o$@ $<
+
+$(OBJDIR)/dtcompilerparserparse.c $(OBJDIR)/dtcompilerparser.y.h :       $(ASL_COMPILER)/dtcompilerparser.y
+	@echo "- " $(YACC) "       "$<
+	@$(call safe_yacc,DtCompilerParser,$<,$@)
+
 $(OBJDIR)/dtparserlex.c :      $(ASL_COMPILER)/dtparser.l $(OBJDIR)/dtparser.y.h
 	@echo "- " $(LEX) "        "$<
-	@$(LEX) $(LFLAGS) -PDtParser -o$@ $<
+	@$(LEX) $(DLFLAGS) -PDtParser -o$@ $<
 
 $(OBJDIR)/dtparserparse.c $(OBJDIR)/dtparser.y.h :       $(ASL_COMPILER)/dtparser.y
 	@echo "- " $(YACC) "       "$<
@@ -352,6 +366,14 @@ $(OBJDIR)/aslcompilerparse.o : $(OBJDIR)/aslcompilerparse.c
 	@echo "- " "Intermediate" $<
 	@$(CC) -c $(CFLAGS) -Wall -Werror -o$@ $<
 
+$(OBJDIR)/dtcompilerparserlex.o :      $(OBJDIR)/dtcompilerparserlex.c
+	@echo "- " "Intermediate" $<
+	@$(CC) -c $(CFLAGS) -Wall -Werror -o$@ $<
+
+$(OBJDIR)/dtcompilerparserparse.o :    $(OBJDIR)/dtcompilerparserparse.c
+	@echo "- " "Intermediate" $<
+	@$(CC) -c $(CFLAGS) -Wall -Werror -o$@ $<
+
 $(OBJDIR)/dtparserlex.o :      $(OBJDIR)/dtparserlex.c
 	@echo "- " "Intermediate" $<
 	@$(CC) -c $(CFLAGS) -Wall -Werror -o$@ $<
diff --git a/sys/contrib/dev/acpica/source/common/acfileio.c b/sys/contrib/dev/acpica/source/common/acfileio.c
index 74f2857791..64339c6e51 100644
--- a/sys/contrib/dev/acpica/source/common/acfileio.c
+++ b/sys/contrib/dev/acpica/source/common/acfileio.c
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2019, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2020, Intel Corp.
  * All rights reserved.
  *
  * 2. License
diff --git a/sys/contrib/dev/acpica/source/common/acgetline.c b/sys/contrib/dev/acpica/source/common/acgetline.c
index 702d046b27..cf9d779a7f 100644
--- a/sys/contrib/dev/acpica/source/common/acgetline.c
+++ b/sys/contrib/dev/acpica/source/common/acgetline.c
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2019, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2020, Intel Corp.
  * All rights reserved.
  *
  * 2. License
@@ -532,7 +532,7 @@ AcpiOsGetLine (
                  * Ignore the various keys like insert/delete/home/end, etc.
                  * But we must eat the final character of the ESC sequence.
                  */
-                InputChar = getchar ();
+                (void) getchar ();
                 continue;
 
             default:
